package configure;

import baseclass.PaoCust;
import p2.pao.PaoSet;
import p2.pao.PaoSetRemote;
import p2.util.P2Exception;

public class P2ObjectDf extends p2.application.configure.P2ObjectDf {

	public P2ObjectDf(PaoSet arg0) throws P2Exception {
		super(arg0);
	}

	public void addfieldnames(PaoSetRemote paoset) throws P2Exception {
		PaoSetRemote detailpao = getPaoSet("PS_OBJECTCOLS_DF");// À¸Î»±í
        String[] fields = {"fieldname", "title", "remarks", "length",
                "p2type", "scale", "defaultvalue"};
		new PaoCust(null).BatchAdd(paoset, fields, detailpao, fields, true);
	}
}
